# DCM/DFA Reporting And Trafficking API . operatingSystems

## Instance Methods

Gets one operating system by DART ID.

Retrieves a list of operating systems.

### Method Details

`get(profileId, dartId)`

    Gets one operating system by DART ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      dartId: string, Operating system DART ID. (required)

    Returns:
      An object of the form:

        { # Contains information about an operating system that can be targeted by ads.
        "mobile": True or False, # Whether this operating system is for mobile.
        "dartId": "A String", # DART ID of this operating system. This is the ID used for targeting.
        "kind": "dfareporting#operatingSystem", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#operatingSystem".
        "name": "A String", # Name of this operating system.
        "desktop": True or False, # Whether this operating system is for desktop.
      }

`list(profileId)`

    Retrieves a list of operating systems.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Operating System List Response
        "kind": "dfareporting#operatingSystemsListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#operatingSystemsListResponse".
        "operatingSystems": [ # Operating system collection.
          { # Contains information about an operating system that can be targeted by ads.
            "mobile": True or False, # Whether this operating system is for mobile.
            "dartId": "A String", # DART ID of this operating system. This is the ID used for targeting.
            "kind": "dfareporting#operatingSystem", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#operatingSystem".
            "name": "A String", # Name of this operating system.
            "desktop": True or False, # Whether this operating system is for desktop.
          },
        ],
      }